Bug 1031347 - [abrt] libwebkit2gtk-2.0.4-1.fc19: operator new: Process /usr/libexec/WebKitWebProcess was killed by signal 11 (SIGSEGV)
[abrt] libwebkit2gtk-2.0.4-1.fc19: operator new: Process /usr/libexec/WebKitW...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: webkitgtk3 (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:80504b5b9560890b3d29f8363e9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-16 22:45 EST by Michael Catanzaro
Modified: 2015-02-17 14:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:16:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (61.87 KB, text/plain)
2013-11-16 22:45 EST, Michael Catanzaro
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-16 22:45 EST, Michael Catanzaro
no flags Details
File: core_backtrace (36.54 KB, text/plain)
2013-11-16 22:45 EST, Michael Catanzaro
no flags Details
File: dso_list (17.52 KB, text/plain)
2013-11-16 22:45 EST, Michael Catanzaro
no flags Details
File: environ (1.37 KB, text/plain)
2013-11-16 22:45 EST, Michael Catanzaro
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-16 22:45 EST, Michael Catanzaro
no flags Details
File: maps (111.96 KB, text/plain)
2013-11-16 22:45 EST, Michael Catanzaro
no flags Details
File: open_fds (1.39 KB, text/plain)
2013-11-16 22:45 EST, Michael Catanzaro
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2013-11-16 22:45 EST, Michael Catanzaro
no flags Details
File: var_log_messages (18.21 KB, text/plain)
2013-11-16 22:45 EST, Michael Catanzaro
no flags Details

  None (edit)
Description Michael Catanzaro 2013-11-16 22:45:04 EST
Description of problem:
Another seemingly-random Javascript crash.

Version-Release number of selected component:
libwebkit2gtk-2.0.4-1.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/WebKitWebProcess 16
crash_function: operator new
executable:     /usr/libexec/WebKitWebProcess
kernel:         3.11.7-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 operator new at ../../../../libstdc++-v3/libsupc++/new_op.cc:51
 #4 JSC::MarkedBlock::canonicalizeCellLivenessData at Source/JavaScriptCore/heap/MarkedBlock.cpp:186
 #5 canonicalizeCellLivenessData at Source/JavaScriptCore/heap/MarkedAllocator.h:110
 #6 JSC::MarkedSpace::canonicalizeCellLivenessData at Source/JavaScriptCore/heap/MarkedSpace.cpp:155
 #7 JSC::Heap::collect at Source/JavaScriptCore/heap/Heap.cpp:718
 #8 JSC::Heap::collectAllGarbage at Source/JavaScriptCore/heap/Heap.cpp:691
 #9 WebCore::collect at Source/WebCore/bindings/js/GCController.cpp:42
 #10 WebCore::ThreadTimers::sharedTimerFiredInternal at Source/WebCore/platform/ThreadTimers.cpp:129
 #11 WebCore::timeout_cb at Source/WebCore/platform/gtk/SharedTimerGtk.cpp:49
 #17 WebKit::WebProcessMainGtk at Source/WebKit2/WebProcess/gtk/WebProcessMainGtk.cpp:83
Comment 1 Michael Catanzaro 2013-11-16 22:45:11 EST
Created attachment 825035 [details]
File: backtrace
Comment 2 Michael Catanzaro 2013-11-16 22:45:14 EST
Created attachment 825036 [details]
File: cgroup
Comment 3 Michael Catanzaro 2013-11-16 22:45:17 EST
Created attachment 825037 [details]
File: core_backtrace
Comment 4 Michael Catanzaro 2013-11-16 22:45:20 EST
Created attachment 825038 [details]
File: dso_list
Comment 5 Michael Catanzaro 2013-11-16 22:45:22 EST
Created attachment 825039 [details]
File: environ
Comment 6 Michael Catanzaro 2013-11-16 22:45:25 EST
Created attachment 825040 [details]
File: limits
Comment 7 Michael Catanzaro 2013-11-16 22:45:28 EST
Created attachment 825041 [details]
File: maps
Comment 8 Michael Catanzaro 2013-11-16 22:45:30 EST
Created attachment 825042 [details]
File: open_fds
Comment 9 Michael Catanzaro 2013-11-16 22:45:33 EST
Created attachment 825043 [details]
File: proc_pid_status
Comment 10 Michael Catanzaro 2013-11-16 22:45:36 EST
Created attachment 825044 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2015-01-09 15:36:41 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 14:16:23 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.